/*=======================================================*/
/*  TVINIT.C                                             */
/*     initialize/exit TopView API interface             */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*=======================================================*/

OBJECT _TV_alloc_mutex_ = NIL ;
OBJECT _TV_printf_mutex_ = NIL ;

/*=======================================================*/
/* TVinit   initialize TopView API interface, and        */
/*          return version (0 if DV not loaded)          */
/*   Ralf Brown 6/8/88                                   */
/*=======================================================*/

int pascal TVinit(void)
{
   _AX = 0x1022 ;
   _BX = 0x0000 ;
   geninterrupt(0x15) ;
   return _BX ;
   /* currently nothing else that needs to be done */
}

/*=======================================================*/
/* DVexit   exit TopView API interface                   */
/*   Ralf Brown 4/23/88                                  */
/*=======================================================*/

void pascal TVexit(void)
{
   if (_TV_alloc_mutex_)
      _TV_object_free(_TV_alloc_mutex_) ;
   if (_TV_printf_mutex_)
      _TV_object_free(_TV_printf_mutex_) ;
}

/* End of TVINIT.C */
